低危 Apache XML Graphics Batik 跨站请求伪造漏洞

CVE编号

CVE-2019-17566

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-11-13
漏洞描述
Apache XML Graphics Batik是美国阿帕奇软件(Apache Software)基金会的一套基于Java的主要用于处理SVG格式图像的应用程序。
Apache XML Graphics Batik中存在跨站请求伪造漏洞。攻击者可利用该漏洞使底层服务器发出任意GET请求。

解决建议
厂商尚未提供漏洞修复方案,请关注厂商主页更新:
https://www.apache.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache batik * Up to
(excluding)
1.13
运行在以下环境
系统 debian_10 batik * Up to
(excluding)
1.10-2+deb10u1
运行在以下环境
系统 debian_9 batik * Up to
(excluding)
1.8-4+deb9u2
运行在以下环境
系统 fedora_32 batik * Up to
(excluding)
1.13-1.fc32
运行在以下环境
系统 opensuse_Leap_15.1 batik * Up to
(excluding)
1.9-lp151.6.3.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
CWE-918 服务端请求伪造(SSRF)
阿里云安全产品覆盖情况